import React from 'react';
import type { LayoutProps, AlignmentType } from '../types';
export declare type InlineProps = {
    /** Horizontal alignment of the items */
    align?: AlignmentType;
    /** Vertical alignment of the items */
    alignVertical?: AlignmentType;
    /** Whether to wrap the items when their width exceeds the container width */
    wrap?: boolean;
} & LayoutProps;
declare const Inline: React.ForwardRefExoticComponent<{
    /** Horizontal alignment of the items */
    align?: "start" | "center" | "end" | undefined;
    /** Vertical alignment of the items */
    alignVertical?: "start" | "center" | "end" | undefined;
    /** Whether to wrap the items when their width exceeds the container width */
    wrap?: boolean | undefined;
} & {
    space?: import("../types").SpacingType | undefined;
    className?: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>>;
export default Inline;
