/// <reference types="react" />
import { SpacingTokenType } from '@highlight-ui/tokens';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type SpacingType = SpacingTokenType | 'spacing-0';
export declare const alignmentValues: readonly ["start", "center", "end"];
export declare type AlignmentType = typeof alignmentValues[number];
export declare type LayoutProps = React.PropsWithChildren<PropsWithMetadata<{
    /** The spacing applied to the children */
    space?: SpacingType;
    /** Allows providing a custom class name to the container element */
    className?: string;
}>>;
